#
# spec file for package keduca (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 --nosuseupdate --touch
Name:         keduca
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      create query- / anwser- pairs
Version:      0.4
Release:      108
Source0:      keduca-0.4.tar.bz2
Patch0:       keduca-0.4.dif

%description
You can create query and answer pairs. Students can answer them afterwards.
Pictures can be added to the questions.

Authors:
--------
    Javier Campos Morales <javi_c@ctv.es>

SuSE series: k2de

%prep
%setup -n keduca-0.4
%patch

%build
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
touch ./configure --reference=./keduca/Makefile.am
make

%install
make install

%files
%doc COPYING AUTHORS INSTALL 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/keduca
%dir /opt/kde2/share/apps/keduca/icons
%dir /opt/kde2/share/apps/keduca/icons/hicolor
%dir /opt/kde2/share/apps/keduca/icons/hicolor/16x16
%dir /opt/kde2/share/apps/keduca/icons/hicolor/16x16/actions
%dir /opt/kde2/share/apps/keduca/icons/hicolor/22x22
%dir /opt/kde2/share/apps/keduca/icons/hicolor/22x22/actions
%dir /opt/kde2/share/apps/keduca/pics
%dir /opt/kde2/share/icons/hicolor/16x16/apps
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/es
%dir /opt/kde2/share/locale/es/LC_MESSAGES
/opt/kde2/bin/keduca
/opt/kde2/share/applnk/Applications/keduca.desktop
/opt/kde2/share/apps/keduca/icons/hicolor/16x16/actions/addquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/16x16/actions/delquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/16x16/actions/editquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/16x16/actions/keducacontrol.png
/opt/kde2/share/apps/keduca/icons/hicolor/22x22/actions/addquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/22x22/actions/delquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/22x22/actions/editquestion.png
/opt/kde2/share/apps/keduca/icons/hicolor/22x22/actions/keducacontrol.png
/opt/kde2/share/apps/keduca/keducacontrolui.rc
/opt/kde2/share/apps/keduca/keducaui.rc
/opt/kde2/share/apps/keduca/pics/bk_frame.png
/opt/kde2/share/apps/keduca/pics/default.png
/opt/kde2/share/apps/keduca/pics/keduca_init.png
/opt/kde2/share/icons/hicolor/16x16/apps/keduca.png
/opt/kde2/share/icons/hicolor/32x32/apps/keduca.png
/opt/kde2/share/icons/hicolor/48x48/apps/keduca.png
/opt/kde2/share/locale/es/LC_MESSAGES/keduca.mo
/opt/kde2/share/mimelnk/application/x-edu.desktop

%changelog -n keduca
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jun 19 2001 - adrian@suse.de
- New version 0.4
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Thu Feb 08 2001 - adrian@suse.de
- Spec file created from keduca-0.3.tar.bz2 by autospec
